/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.jbi.messaging.endpoint.exception;

import org.ow2.petals.basisapi.exception.PetalsException;

/**
 * Base exception for errors occurring in the endpoint directory service.
 * 
 * @author Adrien LOUIS - EBM WebSourcing
 */
public class EndpointDirectoryException extends PetalsException {

    private static final long serialVersionUID = -6735965247466592420L;

    public EndpointDirectoryException(final String message) {
        super(message);
    }

    public EndpointDirectoryException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public EndpointDirectoryException(final Throwable cause) {
        super(cause);
    }
}
