/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.topology;

import java.io.Serializable;

/**
 * 
 * @author vnoel
 *
 */
public class RemoteContainer implements Serializable {

    private static final long serialVersionUID = -4420262255728791715L;

    private String host;

    private int port;

    private String user;

    private String pwd;

    private String domainName;

    public void setHost(String containerHost) {
        this.host = containerHost;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public void setUser(String containerUser) {
        this.user = containerUser;
    }

    public void setPassword(String containerPwd) {
        this.pwd = containerPwd;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public int getPort() {
        return port;
    }

    public String getPassword() {
        return pwd;
    }

    public String getHost() {
        return host;
    }

    public String getUser() {
        return user;
    }

    public String getDomainName() {
        return domainName;
    }
}
